Bug 506397 - gnomebaker desktop file is missing a MimeType entry
gnomebaker desktop file is missing a MimeType entry
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnomebaker (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 01:44 EDT by Mace Moneta
Modified: 2009-08-21 21:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6.4-5.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 21:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2009-06-17 01:44:10 EDT
Description of problem:

After removing brasero and installing gnomebaker (bug #505698), I ran System->Preferences->File Management, and went to the Media tab.  I tried to set 'Other Media' entry 'blank DVD disc' to gnomebaker, but the action was grayed-out and showed 'No applications installed'.

I checked the /usr/share/applications/fedora-gnomebaker.desktop file, and there was no MimeType entry. I added:

MimeType=application/x-cd-image;application/x-cdrdao-toc;application/x-toc;application/x-cue;application/x-brasero;x-content/blank-cd;x-content/blank-dvd;x-content/blank-bd;x-content/blank-hddvd;

and ran:

update-desktop-database
update-mime-database /usr/share/mime

and I was able to select the application.

Version-Release number of selected component (if applicable):

gnomebaker-0.6.4-2.fc11.x86_64

How reproducible:

Always

Steps to Reproduce:
1.Install gnomebaker
2.Remove brasero
3.Try to set gnomebaker as the action for blank DVDs
  
Actual results:

Unable to select application

Expected results:

Able to set application

Additional info:
Comment 1 Fedora Update System 2009-08-12 11:55:30 EDT
gnomebaker-0.6.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnomebaker-0.6.4-3.fc11
Comment 2 Fedora Update System 2009-08-13 02:38:24 EDT
gnomebaker-0.6.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnomebaker-0.6.4-4.fc11
Comment 3 Fedora Update System 2009-08-13 04:39:10 EDT
gnomebaker-0.6.4-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gnomebaker-0.6.4-5.fc11
Comment 4 Fedora Update System 2009-08-15 04:21:45 EDT
gnomebaker-0.6.4-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnomebaker'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8600
Comment 5 Fedora Update System 2009-08-21 21:05:27 EDT
gnomebaker-0.6.4-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.